;*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* File Name          : QT8S626_Touch_Lib.H
;* Author             : GRAND LOTUS
;* Version            : V1.07
;* Date               : 2019/08/27
;********************************************************************************

; 注意，触摸库中有用到间接寻址寄存器(FSR0,INDF0,FSR1,HBUF)，若客户在中断中有使用，
;       请用户进入中断后先备份此4个寄存器，出中断前再恢复。

;================================================================================ 
#ifndef __QT8S626_Touch_Lib_H__
#define __QT8S626_Touch_Lib_H__
;================================================================================ 
 extern TkInit                  ; 触摸模块初始化程序，堆栈深度4级
 extern TkScanAndSignalHandle   ; 触摸按键扫描与数据处理程序，堆栈深度3级，必需保证主循环中调用
 extern ScanContinue            ; 触摸扫描启动程序，堆栈深度3级，先调用TkSignalHandle，先清除bOneScanDone，后调用ScanContinue

;================================================================================ 
 extern TkLowPowerMode          ; 触摸模块低功耗程序，堆栈深度3级，要求ScanContinue程序必须跟随在后面
                                ; 调用此函数前必须将相关端口设置
  
;================================================================================  
#define bOneScanDone RTkBitFlag,0  ; 触摸扫描一轮完成标志，RTkBitFlag中其它BIT位用户请勿操作

#define bLowPowerModeReset    RTkBitFlag,6  ; 0: 清零则允许清零前允许复位参考; 1: 禁止操作
#define	bLowPowerModeRun      RTkBitFlag,7  ; 0: Normal; 1: LowPower。清bLowPowerModeRun可强制唤醒触摸模块低功模式

;================================================================================  
; 用户只读，不可写入操作，切记！ 
#define F_TK1_On     RKeyOnFlg,1  ; TK1按键触摸响应标志，1：表示被触摸；0：未被触摸。
#define F_TK3_On     RKeyOnFlg,3  ; TK3按键触摸响应标志，1：表示被触摸；0：未被触摸。
#define F_TK4_On     RKeyOnFlg,4  ; TK4按键触摸响应标志，1：表示被触摸；0：未被触摸。

;====================================================================    
#define RTK_CaliBaseTime_Cnt           RTkBuff6  
#define RTK_LongKeyBaseTime_Cnt        RTkBuff7

#endif 
 
;*********************************END OF FILE************************************
